## specific mapping like water
block.10001=minecraft:water minecraft:flowing_water
block.10002=minecraft:lava minecraft:flowing_lava
block.10003=minecraft:ice

## foliage blocks
#if MC_VERSION >= 11300
# leaves
block.10021=oak_leaves mangrove_leaves spruce_leaves birch_leaves jungle_leaves acacia_leaves dark_oak_leaves azalea_leaves flowering_azalea_leaves cherry_leaves pale_oak_leaves alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves

# foliage
block.10022=grass short_grass seagrass fern dead_bush wheat beetroots potatoes carrots oak_sapling mangrove_propagule spruce_sapling birch_sapling jungle_sapling acacia_sapling dark_oak_sapling bamboo_sapling nether_wart \
            dandelion poppy blue_orchid allium azure_bluet red_tulip orange_tulip white_tulip pink_tulip oxeye_daisy lily_of_the_valley wither_rose brown_mushroom red_mushroom nether_sprouts warped_fungus warped_roots crimson_roots crimson_fungus \
            tube_coral dead_tube_coral tube_coral_fan dead_tube_coral_fan brain_coral dead_brain_coral brain_coral_fan dead_brain_coral_fan bubble_coral dead_bubble_coral bubble_coral_fan dead_bubble_coral_fan tube_coral_wall_fan bubble_coral_wall_fan fire_coral_wall_fan brain_coral_wall_fan horn_coral_wall_fan \
            fire_coral dead_fire_coral fire_coral_fan dead_fire_coral_fan horn_coral dead_horn_coral horn_coral_fan dead_horn_coral_fan sweet_berry_bush dead_tube_coral_wall_fan dead_bubble_coral_wall_fan dead_brain_coral_wall_fan dead_fire_coral_wall_fan dead_brain_coral_wall_fan dead_horn_coral_wall_fan \
            cornflower melon_stem pumpkin_stem torchflower cherry_sapling torchflower_crop open_eyeblossom closed_eyeblossom pale_oak_sapling
block.10023=sunflower:half=lower lilac:half=lower tall_grass:half=lower large_fern:half=lower rose_bush:half=lower peony:half=lower tall_seagrass:half=lower pitcher_plant:half=lower
block.10024=sunflower:half=upper lilac:half=upper tall_grass:half=upper large_fern:half=upper rose_bush:half=upper peony:half=upper tall_seagrass:half=upper pitcher_plant:half=upper
block.10025=sugar_cane vine attached_melon_stem attached_pumpkin_stem chorus_plant chorus_flower cocoa bamboo_sapling weeping_vines_plant weeping_vines twisting_vines_plant twisting_vines cave_vines_plant cave_vines big_dripleaf_stem big_dripleaf hanging_roots spore_blossom \
            pink_petals bamboo cactus pitcher_crop azalea flowering_azalea
block.10026=lily_pad
block.10027=kelp kelp_plant

block.10301=wall_torch torch glowstone sea_lantern lantern campfire:lit=true redstone_lamp:lit=true fire shroomlight end_rod ochre_froglight verdant_froglight pearlescent_froglight soul_lantern soul_campfire:lit=true soul_torch soul_wall_torch soul_fire sculk_sensor:sculk_sensor_phase=active calibrated_sculk_sensor:sculk_sensor_phase=active
block.10302=magma_block redstone_torch:lit=true redstone_wall_torch:lit=true nether_portal amethyst_cluster large_amethyst_bud small_amethyst_bud medium_amethyst_bud glow_lichen calibrated_sculk_sensor:sculk_sensor_phase=inactive calibrated_sculk_sensor:sculk_sensor_phase=cooldown sculk_catalyst sculk_shrieker:shrieking=true


#else
block.10021=minecraft:leaves minecraft:leaves2 alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves
block.10022=minecraft:tallgrass minecraft:deadbush minecraft:wheat minecraft:beetroots minecraft:potatoes minecraft:carrots minecraft:sapling minecraft:yellow_flower minecraft:red_flower minecraft:brown_mushroom minecraft:red_mushroom
block.10023=minecraft:double_plant:half=lower minecraft:tall_grass:half=lower
block.10024=minecraft:double_plant:half=upper minecraft:tall_grass:half=upper
block.10025=minecraft:reeds minecraft:vine minecraft:waterlily

block.10301=minecraft:torch minecraft:glowstone minecraft:sea_lantern minecraft:lit_redstone_lamp
block.10302=minecraft:magma
#endif

## generic crop
block.10030=harvestcraft:pambarleycrop harvestcraft:pammustardseedscrop harvestcraft:pamlettucecrop harvestcraft:pamcorncrop harvestcraft:pampeanutcrop harvestcraft:pamonioncrop harvestcraft:pamstrawberrycrop \
 harvestcraft:pamwintersquashcrop harvestcraft:pamspiceleafcrop harvestcraft:pamchilipeppercrop harvestcraft:pamraspberrycrop harvestcraft:pambeetcrop harvestcraft:pamtomatocrop harvestcraft:pambellpeppercrop \
 harvestcraft:pamsoybeancrop harvestcraft:pamparsnipcrop harvestcraft:pamgarliccrop harvestcraft:pamtealeafcrop harvestcraft:pamleekcrop harvestcraft:pamsweetpotatocrop harvestcraft:pamwhitemushroomcrop \
 
## generic tallgrass object
block.10031=biomesoplenty:plant_0 biomesoplenty:sapling_0 harvestcraft:windygarden harvestcraft:frostgarden harvestcraft:shadedgarden harvestcraft:tropicalgarden harvestcraft:soggygarden harvestcraft:aridgarden
## generic leaves block
block.10032=biomesoplenty:leaves biomesoplenty:leaves_1 biomesoplenty:leaves_5


## unique blocks
block.10101=minecraft:iron_block
block.10102=minecraft:gold_block
block.10201=minecraft:beacon
block.10202=minecraft:web